<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8"/>
    <title>User List</title>
    <link rel="stylesheet" type="text/css" th:href="@{/css/style.css}"/>
    <style>
        .classlink {
            margin: 0;
            border: 0;
            background: none;
            overflow: visible;
            color: #6149ff;
            cursor: pointer;
            text-decoration: underline;
            font-size: large;
        }
    </style>
</head>
<body>
<h1>User List</h1>
<a href="add">Add User</a>
<br/><br/>
<div>
    <table border="1">
        <tr>
            <th>Id</th>
            <th>Login</th>
            <th>First Name</th>
            <th>Last Name</th>
            <th>Admin</th>
            <th>Update</th>
            <th>Delete</th>
        </tr>
        <tr th:each="user : ${users}">
            <td th:utext="${user.getId()}">...</td>
            <td th:utext="${user.getLogin()}">...</td>
            <td th:utext="${user.getFirstName()}">...</td>
            <td th:utext="${user.getLastName()}">...</td>
            <td th:utext="${user.isAdmin()}">...</td>

            <td>
                <form th:action="@{../update}" method="get">
                    <input type="hidden" th:value="${user.getLogin()}" th:attr="name='login'"/>
                    <button type="submit" class="classlink">update</button>
                </form>
            </td>


            <div th:switch="${user.getId()}">
                <span th:case=1> <td></td></span>
                <span th:case="*"> <td><form th:action="@{../delete}" method="post">
                    <input type="hidden" th:value="${user.getLogin()}" th:attr="name='login'"/>
                    <button type="submit" class="classlink">delete</button>
                    </form></td></span>
            </div>


        </tr>
    </table>
</div>
</body>
</html>